skb_copy_datagram_iovec
Prev | Socket Buffer Functions | Next

## Name

skb_copy_datagram_iovec — Copy a datagram to an iovec.

## Synopsis

`int skb_copy_datagram_iovec (` | const struct sk_buff * | skb,
| int | offset,
| struct iovec * | to,
| int | len`)`;

## Arguments

`skb`

  buffer to copy

`offset`

  offset in the buffer to start copying from

`to`

  io vector to copy to

`len`

  amount of data to copy from buffer to iovec

## Note

the iovec is modified during the copy.

Prev | Up | Next
skb_kill_datagram | Home | skb_copy_and_csum_datagram_iovec